Namespace
library
Image / Tag
consul:1.12
Content Digest
sha256:0c7864d26a1ced161bb8f1ebd322b88d3cd428cefe62bf84f5e4d1acb280395f
Details
Created

2023-02-10 22:04:05 UTC

Size

46.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:13a1d7e543968b1c2bd92ca5f2fb2e964b31713fc7707305c1cdfb935ca3e631 - 5.79% (2.7 MB)

[#001] sha256:eb63960e3bf0f6870f9fe02be59be54f70c980f94b02a49a1b1290c4ca893aa2 - 0.0% (1.21 KB)

[#002] sha256:988eb664dd1d3af0d7f22b9dc7cddb66008da499ea48a816c3f36d10ff0714f0 - 94.2% (43.9 MB)

[#003] sha256:94dc43c37cdf2b1f38cc1a3b73236e3c37bf43d8721c6dc255c6e9bbb5f5cfdd - 0.0% (143 Bytes)

[#004] sha256:8e0d3b029148595b1e56d1e92135ac934a35ebd9f4f5c976c02249b12d9e3596 - 0.0% (154 Bytes)

[#005] sha256:ea8a6df7ec2cd2ff3335b8aac44c372de5c8b6369f19893154464ac6fe093569 - 0.0% (1.74 KB)


History
2023-02-10 21:24:34 UTC

/bin/sh -c #(nop) ADD file:35855658886412913d05c0f9e29bf8f650c0d37e20100a9de118b468f86f7f30 in /

2023-02-10 21:24:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-10 22:03:47 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.9

2023-02-10 22:03:48 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-10 22:03:49 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-10 22:03:50 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-10 22:03:57 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-10 22:03:57 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-10 22:03:58 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-10 22:03:59 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-10 22:04:00 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-10 22:04:01 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-10 22:04:02 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-10 22:04:04 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-10 22:04:04 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-10 22:04:05 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-02-11 07:42:47 UTC

Size

47.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:895e193edb5191bf66fb5ccb29f5d3659e05eec5953255180cbdd66520e7c517 - 5.66% (2.7 MB)

[#001] sha256:d17e8c88ff2369b4c9e776d16fb167bfcd079d737f66b459441d8ab418d2ca20 - 0.0% (1.24 KB)

[#002] sha256:e4b65b7001b7bd9ec869682905f0a03d51494d7cd0664f6cde224c035af47ae2 - 94.33% (44.9 MB)

[#003] sha256:e5a2b239273d05a14550b5e7a83e90f1d3ecefab9a3a7e55fa51311a558d9630 - 0.0% (174 Bytes)

[#004] sha256:65691d443789a4173ac1abdf5b924865813372d99995be73469461d3073e9aaa - 0.0% (154 Bytes)

[#005] sha256:634147fd4af5a457fc2e65a7229eda74147066044ef3dfc3fa24b2db1e6ce879 - 0.0% (1.74 KB)


History
2023-02-11 04:46:54 UTC

/bin/sh -c #(nop) ADD file:cdac18271416ac5bf6876b7ea9af1129108d03f9813589dfda113e5f09d6b80b in /

2023-02-11 04:46:55 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-11 07:42:39 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.9

2023-02-11 07:42:39 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-11 07:42:39 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-11 07:42:39 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-11 07:42:45 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-11 07:42:46 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-11 07:42:46 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-11 07:42:46 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-11 07:42:46 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-11 07:42:47 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-11 07:42:47 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-11 07:42:47 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-11 07:42:47 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-11 07:42:47 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-02-10 21:31:08 UTC

Size

45.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ed6cbaa656dcebfe8d252792a339ccf10dddd695875f07c9636d59a5baf85f3f - 5.53% (2.51 MB)

[#001] sha256:fe6671f72fb5d91a5075ba7ac0e22abad8f0f99f78db8a80b8cf7ca3b0d01781 - 0.0% (1.21 KB)

[#002] sha256:527085c25c4d5d4b37707661a7c8e9cdea50726fa496248a6af79d5d0c059376 - 94.47% (42.9 MB)

[#003] sha256:1e38f919acc4a88160a4c58f54cd481c56df736a277b7602a82b859487e7d4a0 - 0.0% (143 Bytes)

[#004] sha256:901289275813ae3d3bdf12f81db25ef5aeb9e55f2e1ee4a97f7a4862ce7036f2 - 0.0% (154 Bytes)

[#005] sha256:fdcad7d307510279e64781186ebec2d538236488431b9ed963d31ae499b71688 - 0.0% (1.74 KB)


History
2023-02-10 20:49:37 UTC

/bin/sh -c #(nop) ADD file:141468a99f598ddb90dbb73978d10c0f00d01ece185e157ac33a0a1414d45944 in /

2023-02-10 20:49:37 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-10 21:30:58 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.9

2023-02-10 21:30:58 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-10 21:30:58 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-10 21:30:59 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-10 21:31:06 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-10 21:31:06 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-10 21:31:07 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-10 21:31:07 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-10 21:31:07 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-10 21:31:07 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-10 21:31:07 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-10 21:31:07 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-10 21:31:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-10 21:31:08 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-02-10 22:01:58 UTC

Size

45.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:404f35918b797abb27547df3b530ec55a77c499c4dce88f3b90867115087f9e7 - 5.74% (2.6 MB)

[#001] sha256:ac6227b2125cc3863b0dea841bb674758d3a0d9b17f98e4af88fa50e85e2473b - 0.0% (1.24 KB)

[#002] sha256:80bb0f695f1413b22af04e6c958602b467c764b1f61f26d1622bb43194e92029 - 94.26% (42.7 MB)

[#003] sha256:7e2eb42ffd8b07e52a11ce454cb1725bfc89c6a8d1f4cd5d67fdbbb21a7b024c - 0.0% (176 Bytes)

[#004] sha256:4d8a093aea0c739defbd05f7e978365e8462194cf5057bd611e5fc6cf960dec9 - 0.0% (153 Bytes)

[#005] sha256:d0f5c12f4d94ed2a7bf3eda65c3e72206285a02070bbd6b1bcf9f3ae09670455 - 0.0% (1.74 KB)


History
2023-02-10 21:24:16 UTC

/bin/sh -c #(nop) ADD file:a73970ac03f28a1d3b9aaee19e859d958867b42fb91f29efb1259fbddc66ffb1 in /

2023-02-10 21:24:16 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-02-10 22:01:49 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.9

2023-02-10 22:01:49 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-02-10 22:01:50 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-02-10 22:01:50 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-02-10 22:01:56 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-02-10 22:01:57 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-02-10 22:01:57 UTC

|1 CONSUL_VERSION=1.12.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-02-10 22:01:57 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-02-10 22:01:57 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-02-10 22:01:57 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-02-10 22:01:58 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-02-10 22:01:58 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2023-02-10 22:01:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-02-10 22:01:58 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]